function Toggle()
	wait(0.2)
	if game.Workspace.Glass.Fly.Value == true then
		script.Parent.VentA.Mist.Enabled = false
		script.Parent.VentB.Mist.Enabled = false
		script.Parent.VentC.Mist.Enabled = false
		script.Parent.VentD.Mist.Enabled = false
	else
		script.Parent.VentA.Mist.Enabled = true
		script.Parent.VentB.Mist.Enabled = true
		script.Parent.VentC.Mist.Enabled = true
		script.Parent.VentD.Mist.Enabled = true
	end
end

game.Workspace.Glass.Fly.Changed:connect(Toggle)